org.wildfly.swarm.microprofile.openapi.api.models.security

## Class OAuthFlowImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.security.OAuthFlowImpl

- All Implemented Interfaces:
    ModelImpl

      public class OAuthFlowImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `OAuthFlow` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthFlowImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OAuthFlow` | `authorizationUrl(String authorizationUrl)`
    `String` | `getAuthorizationUrl()`
    `String` | `getRefreshUrl()`
    `Scopes` | `getScopes()`
    `String` | `getTokenUrl()`
    `OAuthFlow` | `refreshUrl(String refreshUrl)`
    `OAuthFlow` | `scopes(Scopes scopes)`
    `void` | `setAuthorizationUrl(String authorizationUrl)`
    `void` | `setRefreshUrl(String refreshUrl)`
    `void` | `setScopes(Scopes scopes)`
    `void` | `setTokenUrl(String tokenUrl)`
    `OAuthFlow` | `tokenUrl(String tokenUrl)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthFlowImpl

          public OAuthFlowImpl()

  - ### Method Detail

    - #### getAuthorizationUrl

          public String getAuthorizationUrl()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#getAuthorizationUrl()`

    - #### setAuthorizationUrl

          public void setAuthorizationUrl(String authorizationUrl)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#setAuthorizationUrl(java.lang.String)`

    - #### authorizationUrl

          public OAuthFlow authorizationUrl(String authorizationUrl)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#authorizationUrl(java.lang.String)`

    - #### getTokenUrl

          public String getTokenUrl()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#getTokenUrl()`

    - #### setTokenUrl

          public void setTokenUrl(String tokenUrl)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#setTokenUrl(java.lang.String)`

    - #### tokenUrl

          public OAuthFlow tokenUrl(String tokenUrl)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#tokenUrl(java.lang.String)`

    - #### getRefreshUrl

          public String getRefreshUrl()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#getRefreshUrl()`

    - #### setRefreshUrl

          public void setRefreshUrl(String refreshUrl)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#setRefreshUrl(java.lang.String)`

    - #### refreshUrl

          public OAuthFlow refreshUrl(String refreshUrl)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#refreshUrl(java.lang.String)`

    - #### getScopes

          public Scopes getScopes()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#getScopes()`

    - #### setScopes

          public void setScopes(Scopes scopes)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#setScopes(org.eclipse.microprofile.openapi.models.security.Scopes)`

    - #### scopes

          public OAuthFlow scopes(Scopes scopes)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlow#scopes(org.eclipse.microprofile.openapi.models.security.Scopes)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.